author | Junio C Hamano <junkio@cox.net> | |
Mon, 5 Mar 2007 01:31:21 +0000 (17:31 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Mon, 5 Mar 2007 01:31:21 +0000 (17:31 -0800) |
* 'js/fetch-progress' (early part):
Fixup no-progress for fetch & clone
fetch & clone: do not output progress when not on a tty
Conflicts:
git-fetch.sh
Fixup no-progress for fetch & clone
fetch & clone: do not output progress when not on a tty
Conflicts:
git-fetch.sh
1 | 2 | |||
---|---|---|---|---|
fetch-pack.c | patch | | diff1 | | diff2 | | blob | history |
git-fetch.sh | patch | | diff1 | | diff2 | | blob | history |
upload-pack.c | patch | | diff1 | | diff2 | | blob | history |
diff --cc fetch-pack.c
Simple merge
diff --cc git-fetch.sh
index 59bee5db0f0738cd6d43772e7279edf726a0b7d1,851ed6b6466995ef36c02e88a3b1b161f4008471..5ae0d28cc09a0b3935262a542c9811b66eb5b85e
--- 1/git-fetch.sh
--- 2/git-fetch.sh
+++ b/git-fetch.sh
( : subshell because we muck with IFS
IFS=" $LF"
(
- git-fetch-pack --thin $exec $keep $shallow_depth "$remote" $rref ||
+ if test -f "$remote" ; then
+ test -n "$shallow_depth" &&
+ die "shallow clone with bundle is not supported"
+ git-bundle unbundle "$remote" $rref ||
+ echo failed "$remote"
+ else
+ git-fetch-pack --thin $exec $keep $shallow_depth $no_progress \
+ "$remote" $rref ||
echo failed "$remote"
+ fi
) |
(
trap '
diff --cc upload-pack.c
Simple merge